Subject: bug#16570: 24.2; emacs ediff-directories segmentation fault

From: "S. Gimeno Garcia" <[email-masked]>
Date: Tue, 28 Jan 2014 14:39:02 +0100

Hi,

Thanks for the rapid response!

Actually, I cannot reproduce the error again. Between last friday and 
yesterday, the emacs crash happened about 4 or 5 times, always during a 
ediff-directories session.
However, I cannot  reproduce in a controlled way the conditions that 
lead to the crash, so I cannot send you any backtrace, or reproducible 
crash recipe :(
If I find a way to do it, I'll come back to you.

Cheers,
Sebastian

On 01/27/2014 06:31 PM, Glenn Morris wrote:
> "S. Gimeno Garcia" wrote:
>
>> In GNU Emacs 24.2.1 (x86_64-suse-linux-gnu, GTK+ Version 3.4.4)
>> of 2012-10-10 on build20
> Does SUSE provide a debug package for Emacs, or can you build Emacs yourself?
> If the latter, please fetch the 24.3 (note not 24.2) sources, configure
> emacs using
>
> CFLAGS="-O0 -g3" ./configure [...]
> make
>
> cd src
> # You may need to modify "auto-load safe-path" in ~/.gdbinit - see
> # etc/DEBUG in the Emacs sources.
> gdb ./emacs
> run
>
> and if/when it crashes, send the result of "bt full" here.
>
> Without a backtrace, or reproducible crash recipe, nothing can be done.
>
> Thanks.
>